## org.eclipse.ocl.uml.impl
Class CallExpImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.uml2.uml.internal.impl.ElementImpl
                              org.eclipse.uml2.uml.internal.impl.NamedElementImpl
                                  org.eclipse.uml2.uml.internal.impl.TypedElementImpl
                                      org.eclipse.ocl.uml.impl.OCLExpressionImpl
                                          org.eclipse.ocl.uml.impl.CallExpImpl

All Implemented Interfaces:
  Notifier, EModelElement, EObject, InternalEObject, CallExp<Classifier>, OCLExpression<Classifier>, ASTNode, CallingASTNode, Visitable, Element, NamedElement, TypedElement

Direct Known Subclasses:
  FeatureCallExpImpl, LoopExpImpl

    public abstract class CallExpImpl

extends OCLExpressionImpl
implements CallExp

An implementation of the model object 'Call Exp'.

The following features are implemented:

- `Property Start Position`
- `Property End Position`
- `Source`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static int` `PROPERTY_END_POSITION_EDEFAULT` The default value of the '`Property End Position`' attribute
`protected static int` `PROPERTY_START_POSITION_EDEFAULT` The default value of the '`Property Start Position`' attribute
`protected int` `propertyEndPosition` The cached value of the '`Property End Position`' attribute
`protected int` `propertyStartPosition` The cached value of the '`Property Start Position`' attribute
`protected OCLExpression<Classifier>` `source` The cached value of the '`Source`' containment reference

Fields inherited from class org.eclipse.ocl.uml.impl.OCLExpressionImpl
`END_POSITION_EDEFAULT, endPosition, START_POSITION_EDEFAULT, startPosition`

Fields inherited from class org.eclipse.uml2.uml.internal.impl.TypedElementImpl
`type`

Fields inherited from class org.eclipse.uml2.uml.internal.impl.NamedElementImpl
`clientDependencies, name, NAME_EDEFAULT, NAME_ESETFLAG, nameExpression, OWNED_ELEMENT_ESUBSETS, QUALIFIED_NAME_EDEFAULT, VISIBILITY_EDEFAULT, VISIBILITY_EFLAG, VISIBILITY_EFLAG_DEFAULT, VISIBILITY_EFLAG_OFFSET, VISIBILITY_EFLAG_VALUES, VISIBILITY_ESETFLAG`

Fields inherited from class org.eclipse.uml2.uml.internal.impl.ElementImpl
`ownedComments`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `CallExpImpl()`

Method Summary
`NotificationChain` `basicSetSource(OCLExpression<Classifier> newSource, NotificationChain msgs)`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`int` `getPropertyEndPosition()`
`int` `getPropertyStartPosition()`
`OCLExpression<Classifier>` `getSource()`
`void` `setPropertyEndPosition(int newPropertyEndPosition)`
`void` `setPropertyStartPosition(int newPropertyStartPosition)`
`void` `setSource(OCLExpression<Classifier> newSource)`
`String` `toString()`

Methods inherited from class org.eclipse.ocl.uml.impl.OCLExpressionImpl
`accept, getEndPosition, getStartPosition, getType, setEndPosition, setStartPosition, setType`

Methods inherited from class org.eclipse.uml2.uml.internal.impl.TypedElementImpl
`basicGetType, setType`

Methods inherited from class org.eclipse.uml2.uml.internal.impl.NamedElementImpl

`allNamespaces, allOwningPackages, basicGetNameExpression, basicGetNamespace, basicGetNamespaceGen, basicGetOwner, basicSetNameExpression, createDependency, createNameExpression, createUsage, eInverseAdd, eObjectForURIFragmentSegment, eURIFragmentSegment, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getOwnedElements, getOwner, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetNamespace, isSetNamespaceGen, isSetOwnedElements, isSetOwner, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from class org.eclipse.uml2.uml.internal.impl.ElementImpl

`addKeyword, allOwnedElements, applyStereotype, basicGetOwnerGen, create, createEAnnotation, createOwnedComment, destroy, eAdapters, eBasicSetContainer, eNotificationRequired, eNotify, eSetDeliver, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getCacheAdapter, getKeywords, getModel, getNearestPackage, getOwnedComments, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isSetOwnerGen, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.uml2.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### PROPERTY_START_POSITION_EDEFAULT

    protected static final int PROPERTY_START_POSITION_EDEFAULT

  The default value of the '`Property Start Position`' attribute.

  See Also:
    `getPropertyStartPosition()`, Constant Field Values

### propertyStartPosition

    protected int propertyStartPosition

  The cached value of the '`Property Start Position`' attribute.

  See Also:
    `getPropertyStartPosition()`

### PROPERTY_END_POSITION_EDEFAULT

    protected static final int PROPERTY_END_POSITION_EDEFAULT

  The default value of the '`Property End Position`' attribute.

  See Also:
    `getPropertyEndPosition()`, Constant Field Values

### propertyEndPosition

    protected int propertyEndPosition

  The cached value of the '`Property End Position`' attribute.

  See Also:
    `getPropertyEndPosition()`

### source

    protected OCLExpression<Classifier> source

  The cached value of the '`Source`' containment reference.

  See Also:
    `getSource()`

Constructor Detail

### CallExpImpl

    protected CallExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `OCLExpressionImpl`

### getPropertyStartPosition

    public int getPropertyStartPosition()

  Specified by:
    `getPropertyStartPosition` in interface `CallingASTNode`
  Returns:
    the value of the 'Property Start Position' attribute.
  See Also:
    `CallingASTNode.setPropertyStartPosition(int)`, `UtilitiesPackage.getCallingASTNode_PropertyStartPosition()`

### setPropertyStartPosition

    public void setPropertyStartPosition(int newPropertyStartPosition)

  Specified by:
    `setPropertyStartPosition` in interface `CallingASTNode`
  Parameters:
    `newPropertyStartPosition` - the new value of the 'Property Start Position' attribute.
  See Also:
    `CallingASTNode.getPropertyStartPosition()`

### getPropertyEndPosition

    public int getPropertyEndPosition()

  Specified by:
    `getPropertyEndPosition` in interface `CallingASTNode`
  Returns:
    the value of the 'Property End Position' attribute.
  See Also:
    `CallingASTNode.setPropertyEndPosition(int)`, `UtilitiesPackage.getCallingASTNode_PropertyEndPosition()`

### setPropertyEndPosition

    public void setPropertyEndPosition(int newPropertyEndPosition)

  Specified by:
    `setPropertyEndPosition` in interface `CallingASTNode`
  Parameters:
    `newPropertyEndPosition` - the new value of the 'Property End Position' attribute.
  See Also:
    `CallingASTNode.getPropertyEndPosition()`

### getSource

    public OCLExpression<Classifier> getSource()

  Specified by:
    `getSource` in interface `CallExp<Classifier>`
  Returns:
    the value of the 'Source' containment reference.
  See Also:
    `CallExp.setSource(OCLExpression)`, `ExpressionsPackage.getCallExp_Source()`

### basicSetSource

    public NotificationChain basicSetSource(OCLExpression<Classifier> newSource,
                                            NotificationChain msgs)

### setSource

    public void setSource(OCLExpression<Classifier> newSource)

  Specified by:
    `setSource` in interface `CallExp<Classifier>`
  Parameters:
    `newSource` - the new value of the 'Source' containment reference.
  See Also:
    `CallExp.getSource()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.uml2.uml.internal.impl.NamedElementImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `OCLExpressionImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `OCLExpressionImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `OCLExpressionImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `OCLExpressionImpl`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `OCLExpressionImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `OCLExpressionImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `OCLExpressionImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.